//
// Created by Tristan on 11/26/2025.
//

#ifndef SHADER_H
#define SHADER_H
#include "glad/glad.h"

#define MAX_SHADER_SZ 100000

void shader_reload(GLuint *program, const char *vertex_shader_filename, const char *fragment_shader_filename);
GLuint create_shader_program_from_strings(const char *vertex_shader_str, const char *fragment_shader_str);
GLuint create_shader_program_from_files(const char *vertex_shader_filename, const char *fragment_shader_filename);
#endif //SHADER_H
